# $Revision: 1.28 $, $Date: 2012/04/18 18:56:12 $
#
# Conditional build:
%bcond_without	apidocs		# build without apidocs
%bcond_without	systemd		# use systemd for session tracking instead of ConsoleKit (fallback to ConsoleKit on runtime)

Summary:	A framework for defining policy for system-wide components
Summary(pl.UTF-8):	Szkielet do definiowania polityki dla komponentów systemowych
Name:		polkit
Version:	0.104
Release:	4
License:	LGPL v2+
Group:		Libraries
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	e380b4c6fb1e7bccf854e92edc0a8ce1
Patch0:		systemd-fallback.patch
URL:		http://www.freedesktop.org/wiki/Software/PolicyKit
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.7
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.32.0
BuildRequires:	glibc-misc
BuildRequires:	gobject-introspection-devel >= 0.6.2
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.3}
BuildRequires:	gtk-doc-automake >= 1.3
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pam-devel >= 0.80
BuildRequires:	pkgconfig
BuildRequires:	python-modules
BuildRequires:	rpmbuild(macros) >= 1.527
%{?with_systemd:BuildRequires:	systemd-devel}
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ConsoleKit >= 0.4.1
Requires:	dbus >= 1.1.2-5
Obsoletes:	PolicyKit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PolicyKit is a framework for defining policy for system-wide
components and for desktop pieces to configure it.

%description -l pl.UTF-8
PolicyKit to szkielet do definiowania polityki dla komponentów
systemowych oraz składników pulpitu do konfigurowania ich.

%package apidocs
Summary:	PolicyKit API documentation
Summary(pl.UTF-8):	Dokumentacja API PolicyKit
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	PolicyKit-apidocs

%description apidocs
PolicyKit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API PolicyKit.

%package libs
Summary:	PolicyKit libraries
Summary(pl.UTF-8):	Biblioteki PolicyKit
Group:		Libraries
Requires:	dbus-libs >= 1.1.2-5
Requires:	glib2 >= 1:2.32.0
Obsoletes:	PolicyKit-libs

%description libs
PolicyKit libraries.

%description libs -l pl.UTF-8
Biblioteki PolicyKit.

%package devel
Summary:	Header files for PolicyKit
Summary(pl.UTF-8):	Pliki nagłówkowe PolicyKit
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	expat-devel >= 1:1.95.8
Requires:	glib2-devel >= 1:2.32.0
Obsoletes:	PolicyKit-devel

%description devel
Header files for PolicyKit.

%description devel -l pl.UTF-8
Pliki nagłówkowe PolicyKit.

%package static
Summary:	Static PolicyKit libraries
Summary(pl.UTF-8):	Statyczne biblioteki PolicyKit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	PolicyKit-static

%description static
Static PolicyKit libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PolicyKit.

%prep
%setup -q
%{?with_systemd:%patch0 -p1}

%build
%{?with_apidocs:%{__gtkdocize}}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{__enable_disable apidocs gtk-doc} \
	--disable-silent-rules \
	%{__enable_disable systemd systemd} \
	--with-html-dir=%{_gtkdocdir} \
	--with-pam-include=system-auth \
	--with-pam-module-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/polkit-1/extensions/*.{la,a}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang polkit-1

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f polkit-1.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_bindir}/pkaction
%attr(755,root,root) %{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%attr(755,root,root) %{_bindir}/pk-example-frobnicate
%attr(4755,root,root) %{_libexecdir}/polkit-agent-helper-1
%attr(755,root,root) %{_libexecdir}/polkitd
%dir %{_libdir}/polkit-1
%dir %{_libdir}/polkit-1/extensions
%attr(755,root,root) %{_libdir}/polkit-1/extensions/libnullbackend.so
%dir %{_sysconfdir}/polkit-1
%dir %{_sysconfdir}/polkit-1/localauthority.conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/polkit-1/localauthority.conf.d/*.conf
%attr(700,root,root) %dir %{_sysconfdir}/polkit-1/localauthority
%dir %{_sysconfdir}/polkit-1/localauthority/10-vendor.d
%dir %{_sysconfdir}/polkit-1/localauthority/20-org.d
%dir %{_sysconfdir}/polkit-1/localauthority/30-site.d
%dir %{_sysconfdir}/polkit-1/localauthority/50-local.d
%dir %{_sysconfdir}/polkit-1/localauthority/90-mandatory.d
%dir %{_sysconfdir}/polkit-1/nullbackend.conf.d
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/polkit-1/nullbackend.conf.d/*.conf
/etc/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
/etc/pam.d/polkit-1
%{_datadir}/polkit-1
%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit1.service
%attr(700,root,root) %dir /var/lib/polkit-1
%dir /var/lib/polkit-1/localauthority
%dir /var/lib/polkit-1/localauthority/10-vendor.d
%dir /var/lib/polkit-1/localauthority/20-org.d
%dir /var/lib/polkit-1/localauthority/30-site.d
%dir /var/lib/polkit-1/localauthority/50-local.d
%dir /var/lib/polkit-1/localauthority/90-mandatory.d
%{_mandir}/man1/pkaction.1*
%{_mandir}/man1/pkcheck.1*
%{_mandir}/man1/pkexec.1*
%{_mandir}/man8/pklocalauthority.8*
%{_mandir}/man8/polkit.8*
%{_mandir}/man8/polkitd.8*

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/polkit-1
%endif

%files libs
%defattr(644,root,root,755)
# notes which license applies to which package part, AFL text (and GPL text copy)
%doc COPYING
%attr(755,root,root) %{_libdir}/libpolkit-agent-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-agent-1.so.0
%attr(755,root,root) %{_libdir}/libpolkit-backend-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-backend-1.so.0
%attr(755,root,root) %{_libdir}/libpolkit-gobject-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-gobject-1.so.0
%{_libdir}/girepository-1.0/Polkit-1.0.typelib
%{_libdir}/girepository-1.0/PolkitAgent-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit-agent-1.so
%attr(755,root,root) %{_libdir}/libpolkit-backend-1.so
%attr(755,root,root) %{_libdir}/libpolkit-gobject-1.so
%{_includedir}/polkit-1
%{_pkgconfigdir}/polkit-agent-1.pc
%{_pkgconfigdir}/polkit-backend-1.pc
%{_pkgconfigdir}/polkit-gobject-1.pc
%{_datadir}/gir-1.0/Polkit-1.0.gir
%{_datadir}/gir-1.0/PolkitAgent-1.0.gir

%files static
%defattr(644,root,root,755)
%{_libdir}/libpolkit-agent-1.a
%{_libdir}/libpolkit-backend-1.a
%{_libdir}/libpolkit-gobject-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: polkit.spec,v $
Revision 1.28  2012/04/18 18:56:12  glen
- bump glib2 deps to 2.32.0 to avoid NM upgrade failing to startup itself:
  NetworkManager: symbol lookup error: /usr/lib/libpolkit-gobject-1.so.0: undefined symbol: g_mutex_lock

Revision 1.27  2012/04/02 19:17:00  kiesiu
- added patch for runtime fallback to ConsoleKit; rel. 3

Revision 1.26  2012/01/30 20:10:40  baggins
- rel 2
- O for PolicyKit packages

Revision 1.25  2012/01/07 10:31:44  qboosh
- updated to 0.104
- added systemd bcond
- removed HAL mention from descriptions

Revision 1.24  2011/12/08 15:42:35  qboosh
- updated to 0.103
- removed obsolete stdout-and-stderr patch

Revision 1.23  2011/11/28 14:44:06  cactus
- rel 2; add nodebug patch - fix lots of debug info in systemd dmesg

Revision 1.22  2011/08/03 16:52:55  qboosh
- updated to 0.102

Revision 1.21  2011/03/09 15:47:55  megabajt
- updated to 0.101
- removed libtool files

Revision 1.20  2011/02/25 18:26:43  qboosh
- package PolkitAgent gir files

Revision 1.19  2011/02/25 09:41:59  caleb
- Up to 0.100

Revision 1.18  2010/10/02 12:41:10  megabajt
- release 2

Revision 1.17  2010/09/26 05:43:05  qboosh
- updated required glib2 (gio) version

Revision 1.16  2010/09/25 14:28:56  patrys
- 0.99

Revision 1.15  2010/05/22 08:08:53  qboosh
- gir-repository is not BRed
- disable silent-rules

Revision 1.14  2010/05/10 20:28:57  megabajt
- package localauthority dirs
- release 2

Revision 1.13  2010/01/19 14:33:20  sparky
- up to 0.96
- working URL
- run gtkdocize only when building with apidocs
- BR: docbook-style-xsl, gtk-doc-automake, libxslt-progs

Revision 1.12  2009/12/30 16:57:43  megabajt
- run gtkdocize

Revision 1.11  2009/12/24 01:40:09  shadzik
- files

Revision 1.10  2009/12/24 01:36:09  shadzik
- updated eggdbus BR

Revision 1.9  2009/12/23 23:13:33  shadzik
- 0.95

Revision 1.8  2009/11/28 15:06:26  sparky
- BR: docbook-dtd412-xml, glibc-misc, python-modules

Revision 1.7  2009/10/02 07:58:48  baggins
- rel 2
- update ConsoleKit required version

Revision 1.6  2009/08/20 08:12:04  patrys
- 0.94

Revision 1.5  2009/08/11 22:22:51  cactus
- bcond without apidocs

Revision 1.4  2009/08/04 18:27:30  patrys
- 0.93

Revision 1.3  2009/06/29 22:28:58  megabajt
- revised deps
- removed obsolete TODO

Revision 1.2  2009/06/29 20:26:34  patrys
- no users are created so don't require tools

Revision 1.1  2009/06/29 20:19:06  patrys
- initial PLD release

